package org.xbib.event.journald.test;

import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.condition.EnabledOnOs;
import org.junit.jupiter.api.condition.OS;

import java.util.concurrent.Executors;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.xbib.event.journald.SystemdJournalConsumer;

@EnabledOnOs({OS.LINUX})
public class SystemdJournalReaderTest {

    private static final Logger logger = Logger.getLogger(SystemdJournalReaderTest.class.getName());

    @Test
    void testConsumer() throws InterruptedException {
        SystemdJournalConsumer consumer = new SystemdJournalConsumer(null,
                entry -> logger.log(Level.INFO, entry.toString()));
        Executors.newSingleThreadExecutor().submit(consumer);
        //  consuming for some seconds
        Thread.sleep(60000L);
    }
}

